package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SERVER_STATUS"
)
public class TCoreServiceStatus extends TBaseEntity {
   private String serverName;
   private String remarks;
   private Date createtime;
   private String delflg;
   private Date updatetime;
   private String editUser;
   private String createserverip;
   private Date starttime;

   public Date getStarttime() {
      return this.starttime;
   }

   public void setStarttime(Date starttime) {
      this.starttime = starttime;
   }

   public String getCreateserverip() {
      return this.createserverip;
   }

   public void setCreateserverip(String createserverip) {
      this.createserverip = createserverip;
   }

   public String getEditUser() {
      return this.editUser;
   }

   public void setEditUser(String editUser) {
      this.editUser = editUser;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getDelflg() {
      return this.delflg;
   }

   public void setDelflg(String delflg) {
      this.delflg = delflg;
   }

   public TCoreServiceStatus(String serverName, String remarks, Date createtime) {
      this.serverName = serverName;
      this.remarks = remarks;
      this.createtime = createtime;
   }

   public String getServerName() {
      return this.serverName;
   }

   public void setServerName(String serverName) {
      this.serverName = serverName;
   }

   public String getRemarks() {
      return this.remarks;
   }

   public void setRemarks(String remarks) {
      this.remarks = remarks;
   }

   public TCoreServiceStatus() {
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }
}
